package com.fjhx.item.service.product;

import com.fjhx.item.entity.product.po.ProductSpu;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.item.entity.product.vo.ProductSpuVo;
import com.fjhx.item.entity.product.dto.ProductSpuSelectDto;
import com.fjhx.item.entity.product.dto.ProductSpuDto;


/**
 * <p>
 * 产品spu 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface ProductSpuService extends BaseService<ProductSpu> {

    /**
     * 产品spu分页
     */
    Page<ProductSpuVo> getPage(ProductSpuSelectDto dto);

    /**
     * 产品spu明细
     */
    ProductSpuVo detail(Long id);

    /**
     * 产品spu新增
     */
    void add(ProductSpuDto productSpuDto);

    /**
     * 产品spu编辑
     */
    void edit(ProductSpuDto productSpuDto);

    /**
     * 产品spu删除
     */
    void delete(Long id);

}
